<!DOCTYPE article PUBLIC "-//OASIS//DTD DocBook V4.2//EN" [
<!ENTITY % defs SYSTEM "X11/defs.ent"> %defs;
]>

<article>

<articleinfo>

<title>Release Notes for X11R&relvers;</title>
<author><firstname>The X.Org Foundation</firstname></author>
<pubdate>&reldate;</pubdate>

<abstract>

<para>
These release notes contains information about features and their status
in the X.Org Foundation X11R&relvers; release.
</para>

</abstract>

</articleinfo>

<sect1>
<title>Introduction to the X11R&relvers; Release</title>

<para>
This release is the third modular release of the X Window System. The next
official release will be X11R&nextrelvers; and is expected in
&nextfullreldate;.
</para>

<para>
For help with how to build and develop in the modular tree see <ulink
URL="http://wiki.x.org/wiki/ModularDevelopersGuide"> Modular Developer's
Guide</ulink>.
</para>

<para>
We encourage you to submit bug fixes and enhancements to
freedesktop.org's <ulink URL="https://bugs.freedesktop.org/">
bug tracking system</ulink> using the xorg product, and to
discuss them on <email>xorg@lists.freedesktop.org</email>.
</para>

<para>
The release numbering is based on the original MIT X numbering system.
X11 refers to the version of the network protocol that the X Window
system is based on: Version 11 was first released in 1988 and has been
stable for 18 years, with only upward compatible additions to the core X
protocol, a record of stability envied in computing.  Formal releases of
X started with X version 9 from MIT; the first commercial X products
were based on X version 10.  The MIT X Consortium and its successors,
the X Consortium, the Open Group X Project Team, and the X.Org Group
released versions X11R3 through X11R6.6.  Since the founding of the
X.Org Foundation in early 2004, five further major releases have been
issued, from 6.7 to the current &relvers;.
</para>

<para>
<![ %updaterel [
The next sections describe what has changed in the update release(s)
as well as what is new in the latest full release (&fullrelvers;).
]]>
<![ %majorrel [
The next section describes what is new in the latest full release
(&relvers;) compared with the previous full release 
(&prevrelvers;).
]]>
<![ %minorrel [
The next section describes what is new in the latest version
(&relvers;) compared with the previous full release (&prevrelvers;).
]]>
</para>

</sect1>

<![ %updaterel [
<sect1>
    <title>Summary of updates in &relvers;</title>
    <para>
    </para>
</sect1>
]]>

<sect1>
    <title>Summary of new features in X11R&relvers;</title>
    
    <para>
    This is a sampling of the new features in X11R&relvers;.
    A more complete list of changes can be found in the ChangeLog files that
    are part of the X source tree.
    </para>
    
    <para>
    
    <itemizedlist>
        <listitem>
            <para>
            The X Access Control Extension (XACE) has been added to this
            release. XACE is a set of generic "hooks" that can be used by
            other X extensions to perform access checks. This provides
            integration of the X server with the SELinux and xtsol
            platform-specific security frameworks.
            </para>
        </listitem>
        <listitem>
            <para>
            The X server now incorporates significantly improved
            autodetection when running without an xorg.conf file. This will
            help to limit the number of users who have to fuss with their
            X configuration to get a working server setup.
            </para>
        </listitem>
        <listitem>
            <para>
            XCB now provides a new implementation of libX11. The XCB
            library is a ground-up rewrite of the venerable libX11.  It
            features a small footprint, latency hiding, direct access to
            the protocol, improved threading support, and extensibility. In
            addition to providing a new programming interface, it also
            provides a libX11 compatibility layer to allow it to be used
            transparently in place of libX11. 
            </para>
        </listitem>
        <listitem>
            <para>
            OS support enhancements for Linux, Solaris, and most of the
            *BSD family
            </para>
        </listitem>
        
        <listitem>
            <para>
            Platform support enhancements for x86, amd64, sparc64, and ia64 
            </para>
        </listitem>
        
        <listitem>
            <para>
            ... and the usual assortment of correctness and crash fixes.  
            </para>
        </listitem>
    </itemizedlist>
    </para>
    
    <sect2>
        <title>Updated keyboard mappings</title>
        <para>
        The requirement for XKB data can be satisfied by the dataset from
        the xkeyboard-config project (the 'xkbdesc' module).  xkbdesc has
        numerous improvements relative to the deprecated xkbdata: layouts
        have been cleaned up for consistency and universal multi-layout
        support, some new layouts have added, and some layouts have changed
        names to be more straightforward and ISO compliant.  Some setups
        will need adjustments in order to use xkbdesc. It is now strongly
        encouraged for all distributions to migrate to xkbdesc, as the old
        formats are deprecated and are not considered a part of the
        X11R&relvers; release.
        </para>
    </sect2>
    
    <sect2>
        <title>Video driver enhancements</title>
        <para>
        Please see the ChangeLog files for individual drivers; there are far too
        many updates to list here.
        </para>
    </sect2>
</sect1>

<sect1>
    <title>Drivers</title>

    <sect2>
    <title>Video Drivers</title>

    <para>
    X11R&relvers; includes the following video drivers:
    </para>

    <para>
    <informaltable id="drivertables" xreflabel="driver tables">
        <tgroup Cols="3">
            <colspec Align="Left" Colsep="1">
            <colspec Align="Left" Colsep="1">
            <colspec Align="Left" Colsep="1">
        <tbody>
            <row>
                <entry>Driver Name</entry>
                <entry>Description</entry>
                <entry>Further Information
            </row>
            <row>
                <entry><Literal remap="tt">apm</Literal></entry>
                <entry>Alliance Pro Motion</entry>
                <entry><ulink URL="apm.html">README.apm</ulink></entry>
            </row>
            <row>
                <entry><Literal remap="tt">ark</Literal></entry>
                <entry>Ark Logic</entry>
                <entry>&nbsp;</entry>
            </row>
            <row>
                <entry><Literal remap="tt">ast</Literal></entry>
                <entry>ASPEED Technology</entry>
                <entry>&nbsp;</entry>
            </row>
            <row>
                <entry><Literal remap="tt">ati</Literal></entry>
                <entry>ATI</entry>
                <entry><ulink URL="ati.html">README.ati</ulink>, 
                    <ulink URL="r128.html">README.r128</ulink>,
                    <ulink URL="r128.4.html">r128(4)</ulink>,
                    <ulink URL="radeon.4.html">radeon(4)</ulink></entry>
            </row>
            <row>
                <entry><Literal remap="tt">chips</Literal></entry>
                <entry>Chips &amp; Technologies</entry>
                <entry><ulink URL="chips.html">README.chips</ulink>,
                    <ulink URL="chips.4.html">chips(4)</ulink>
                </entry>
            </row>
            <row>
                <entry><Literal remap="tt">cirrus</Literal></entry>
                <entry>Cirrus Logic</entry>
                <entry>&nbsp;</entry>
            </row>
            <row>
                <entry><Literal remap="tt">cyrix</Literal> (*)</entry>
                <entry>Cyrix MediaGX</entry>
                <entry><ulink URL="cyrix.html">README.cyrix</ulink></entry>
            </row>
            <row>
                <entry><Literal remap="tt">fbdev</Literal></entry>
                <entry>Linux framebuffer device</entry>
                <entry><ulink URL="fbdev.4.html">fbdev(4)</ulink></entry>
            </row>
            <row>
                <entry><Literal remap="tt">glint</Literal></entry>
                <entry>3Dlabs, TI</entry>
                <entry><ulink URL="glint.4.html">glint(4)</ulink></entry>
            </row>
            <row>
                <entry><Literal remap="tt">i128</Literal></entry>
                <entry>Number Nine</entry>
                <entry><ulink URL="I128.html">README.I128</ulink>,
                    <ulink URL="i128.4.html">i128(4)</ulink></entry>
            </row>
            <row>
                <entry><Literal remap="tt">i740</Literal></entry>
                <entry>Intel i740</entry>
                <entry><ulink URL="i740.html">README.i740</ulink></entry>
            </row>
            <row>
                <entry><Literal remap="tt">i810</Literal></entry>
                <entry>Intel i8xx</entry>
                <entry><ulink URL="i810.html">README.i810</ulink>,
                    <ulink URL="i810.4.html">i810(4)</ulink></entry>
            </row>
            <row>
                <entry><Literal remap="tt">impact</Literal></entry>
                <entry>SGI Indigo Impact</entry>
                <entry><ulink URL="impact.4.html">impact(4)</ulink></entry>
            </row>
            <row>
                <entry><Literal remap="tt">imstt</Literal></entry>
                <entry>Integrated Micro Solns</entry>
                <entry>&nbsp;</entry>
            </row>
            <row>
                <entry><Literal remap="tt">mga</Literal></entry>
                <entry>Matrox</entry>
                <entry><ulink URL="mga.4.html">mga(4)</ulink></entry>
            </row>
            <row>
                <entry><Literal remap="tt">neomagic</Literal></entry>
                <entry>NeoMagic</entry>
                <entry><ulink URL="neomagic.4.html">neomagic(4)</ulink></entry>
            </row>
            <row>
                <entry><Literal remap="tt">newport</Literal> (-)</entry>
                <entry>SGI Newport</entry>
                <entry><ulink URL="newport.html">README.newport</ulink>, 
                    <ulink URL="newport.4.html">newport(4)</ulink></entry>
            </row>
            <row>
                <entry><Literal remap="tt">nsc</Literal></entry>
                <entry>National Semiconductor</entry>
                <entry><ulink URL="nsc.4.html">nsc(4)</ulink></entry>
            </row>
            <row>
                <entry><Literal remap="tt">nv</Literal></entry>
                <entry>NVIDIA</entry>
                <entry><ulink
                URL="nv.4.html"
                >nv(4)</ulink></entry>
            </row>
            <row>
                <entry><Literal remap="tt">rendition</Literal></entry>
                <entry>Rendition</entry>
                <entry><ulink URL="rendition.html">README.rendition</ulink>,
                    <ulink URL="rendition.4.html">rendition(4)</ulink></entry>
            </row>
            <row>
                <entry><Literal remap="tt">s3</Literal></entry>
                <entry>S3 (not ViRGE or Savage)</entry>
                <entry>&nbsp;</entry>
            </row>
            <row>
                <entry><Literal remap="tt">s3virge</Literal></entry>
                <entry>S3 ViRGE</entry>
                <entry><ulink URL="s3virge.html">README.s3virge</ulink>,
                    <ulink URL="s3virge.4.html">s3virge(4)</ulink></entry>
            </row>
            <row>
                <entry><Literal remap="tt">savage</Literal></entry>
                <entry>S3 Savage</entry>
                <entry><ulink URL="savage.4.html">savage(4)</ulink></entry>
            </row>
            <row>
                <entry><Literal remap="tt">siliconmotion</Literal></entry>
                <entry>Silicon Motion</entry>
                <entry><ulink URL="siliconmotion.4.html">siliconmotion(4)</ulink></entry>
            </row>
            <row>
                <entry><Literal remap="tt">sis</Literal></entry>
                <entry>SiS</entry>
                <entry><ulink URL="SiS.html">README.SiS</ulink>,
                    <ulink URL="sis.4.html">sis(4)</ulink></entry>
            </row>
            <row>
                <entry><Literal remap="tt">sisusb</Literal></entry>
                <entry>SiS USB</entry>
                <entry><ulink URL="sisusb.4.html">sisusb(4)</ulink></entry>
            </row>
            <row>
                <entry><Literal remap="tt">sunbw2</Literal> (+)</entry>
                <entry>Sun bw2</entry>
                <entry>&nbsp;</entry>
            </row>
            <row>
                <entry><Literal remap="tt">suncg14</Literal> (+)</entry>
                <entry>Sun cg14</entry>
                <entry>&nbsp;</entry>
            </row>
            <row>
                <entry><Literal remap="tt">suncg3</Literal> (+)</entry>
                <entry>Sun cg3</entry>
                <entry>&nbsp;</entry>
            </row>
            <row>
                <entry><Literal remap="tt">suncg6</Literal> (+)</entry>
                <entry>Sun GX and Turbo GX</entry>
                <entry>&nbsp;</entry>
            </row>
            <row>
                <entry><Literal remap="tt">sunffb</Literal> (+)</entry>
                <entry>Sun Creator/3D, Elite 3D</entry>
                <entry>&nbsp;</entry>
            </row>
            <row>
                <entry><Literal remap="tt">sunleo</Literal> (+)</entry>
                <entry>Sun Leo (ZX)</entry>
                <entry>&nbsp;</entry>
            </row>
            <row>
                <entry>
                <Literal remap="tt">suntcx</Literal> (+)</entry>
                <entry>Sun TCX</entry>
                <entry>&nbsp;</entry>
            </row>
            <row>
                <entry><Literal remap="tt">tdfx</Literal></entry>
                <entry>3Dfx</entry>
                <entry><ulink URL="tdfx.4.html">tdfx(4)</ulink></entry>
            </row>
            <row>
                <entry><Literal remap="tt">tga</Literal></entry>
                <entry>DEC TGA</entry>
                <entry><ulink URL="DECtga.html">README.DECtga</ulink></entry>
            </row>
            <row>
                <entry><Literal remap="tt">trident</Literal></entry>
                <entry>Trident</entry>
                <entry><ulink URL="trident.4.html">trident(4)</ulink></entry>
            </row>
            <row>
                <entry><Literal remap="tt">tseng</Literal></entry>
                <entry>Tseng Labs</entry>
                <entry>&nbsp;</entry>
            </row>
            <row>
                <entry><Literal remap="tt">v4l</Literal></entry>
                <entry>Video4Linux</entry>
                <entry>&nbsp;</entry>
            </row>
            <row>
                <entry><Literal remap="tt">vesa</Literal></entry>
                <entry>VESA</entry>
                <entry><ulink URL="vesa.4.html">vesa(4)</ulink></entry>
            </row>
            <row>
                <entry><Literal remap="tt">vga</Literal></entry>
                <entry>Generic VGA</entry>
                <entry><ulink URL="vga.4.html">vga(4)</ulink>
            </row>
            <row>
                <entry><Literal remap="tt">via</Literal></entry>
                <entry>VIA</entry>
                <entry><ulink URL="via.4.html">via(4)</ulink></entry>
            </row>
            <row>
                <entry><Literal remap="tt">vmware</Literal></entry>
                <entry>VMware guest OS</entry>
                <entry><ulink URL="vmware.4.html">vmware(4)</ulink></entry>
            </row>
            <row>
                <entry><Literal remap="tt">voodoo</Literal></entry>
                <entry>3Dfx Voodoo</entry>
                <entry><ulink URL="vmware.4.html">vmware(4)</ulink></entry>
            </row>
            <row>
                <entry><Literal remap="tt">wfb</Literal></entry>
                <entry>Wrapper Framebuffer</entry>
                <entry><ulink URL="vmware.4.html">vmware(4)</ulink></entry>
            </row>
        </tbody>
        </tgroup>
    </informaltable>
    </para>

    <para>
    Drivers marked with (*) are present in a preliminary form in this release,
    but are not complete and/or stable yet.
    </para>

    <para>
    Drivers marked with (+) are for Linux/Sparc only.
    </para>
    
    <para>
    Drivers marked with (-) are for Linux/mips only.
    </para>
    
    <para>
    Darwin/Mac OS X uses IOKit drivers and does not use the module loader
    drivers listed above. Further information can be found in <ulink
    URL="Darwin.html"> README.Darwin</ulink>.
    </para>
    </sect2>

    <sect2>
    <title>Input Drivers</title>

    <para>
    X11R&relvers; includes the following input drivers:
    </para>

    <para>

    <informaltable>
        <tgroup Cols="3">
            <colspec Align="Left" Colsep="1">
            <colspec Align="Left" Colsep="1">
            <colspec Align="Left" Colsep="1">
        <tbody>
            <row>
                <entry>Driver Name</entry>
                <entry>Description</entry>
                <entry>Further Information</entry>
            </row>
            <row>
                <entry><Literal remap="tt">acecad</Literal></entry>
                <entry>Acecad Flair</entry>
                <entry><ulink URL="aiptek.4.html">acecad(4)</ulink></entry>
            </row>
            <row>
                <entry><Literal remap="tt">aiptek(*)</Literal></entry>
                <entry>Aiptek USB tablet</entry>
                <entry><ulink URL="aiptek.4.html">aiptek(4)</ulink></entry>
            </row>
            <row>
                <entry><Literal remap="tt">calcomp</Literal></entry>
                <entry>Calcomp</entry>
                <entry>&nbsp;</entry>
            </row>
            <row>
                <entry><Literal remap="tt">citron</Literal></entry>
                <entry>Citron</entry>
                <entry><ulink URL="citron.4.html">citron(4)</ulink>
            </row>
            <row>
                <entry><Literal remap="tt">digitaledge</Literal></entry>
                <entry>DigitalEdge</entry>
                <entry>&nbsp;</entry>
            </row>
            <row>
                <entry><Literal remap="tt">dmc</Literal></entry>
                <entry>DMC</entry>
                <entry><ulink URL="dmc.4.html">dmc(4)</ulink>
            </row>
            <row>
                <entry><Literal remap="tt">dynapro</Literal></entry>
                <entry>Dynapro</entry>
                <entry>&nbsp;</entry>
            </row>
            <row>
                <entry><Literal remap="tt">elo2300</Literal></entry>
                <entry>EloGraphics 2300</entry>
                <entry>&nbsp;</entry>
            </row>
            <row>
                <entry><Literal remap="tt">elographics</Literal></entry>
                <entry>EloGraphics</entry>
                <entry>&nbsp;</entry>
            </row>
            <row>
                <entry><Literal remap="tt">evdev(*)</Literal></entry>
                <entry>EvDev</entry>
                <entry><ulink URL="evdev.4.html">evdev(4)</ulink></entry>
            </row>
            <row>
                <entry><Literal remap="tt">fpit</Literal></entry>
                <entry>Fujitsu Stylistic Tablet PCs</entry>
                <entry><ulink URL="fpit.4.html">fpit(4)</ulink>
            </row>
            <row>
                <entry><Literal remap="tt">hyperpen</Literal></entry>
                <entry>Aiptek HyperPen 6000</entry>
                <entry>&nbsp;</entry>
            </row>
            <row>
                <entry><Literal remap="tt">js&lowbar;x</Literal></entry>
                <entry>JamStudio pentablet</entry>
                <entry><ulink URL="js_x.4.html">js_x(4)</ulink></entry>
            </row>
            <row>
                <entry><Literal remap="tt">kbd</Literal></entry>
                <entry>generic keyboards (alternate)</entry>
                <entry><ulink URL="kbd.4.html">kbd(4)</ulink></entry>
            </row>
            <row>
                <entry><Literal remap="tt">keyboard</Literal></entry>
                <entry>generic keyboards</entry>
                <entry><ulink URL="keyboard.4.html">keyboard(4)</ulink></entry>
            </row>
            <row>
                <entry><Literal remap="tt">magellan</Literal></entry>
                <entry>Magellan</entry>
                <entry>&nbsp;</entry>
            </row>
            <row>
                <entry><Literal remap="tt">microtouch</Literal></entry>
                <entry>MicroTouch</entry>
                <entry>&nbsp;</entry>
            </row>
            <row>
                <entry><Literal remap="tt">mouse</Literal></entry>
                <entry>most mouse devices</entry>
                <entry><ulink URL="mouse.4.html">mouse(4)</ulink></entry>
            </row>
            <row>
                <entry><Literal remap="tt">mutouch</Literal></entry>
                <entry>MicroTouch</entry>
                <entry>&nbsp;</entry>
            </row>
            <row>
                <entry><Literal remap="tt">palmax</Literal></entry>
                <entry>Palmax PD1000/PD1100</entry>
                <entry><ulink URL="palmax.4.html">palmax(4)</ulink></entry>
            </row>
            <row>
                <entry><Literal remap="tt">penmount</Literal></entry>
                <entry>PenMount</entry>
                <entry>&nbsp;</entry>
            </row>
            <ROW>
                <entry><Literal remap="tt">spaceorb</Literal></entry>
                <entry>SpaceOrb</entry>
                <entry>&nbsp;</entry>
            </row>
            <row>
                <entry><Literal remap="tt">summa</Literal></entry>
                <entry>SummaGraphics</entry>
                <entry>&nbsp;</entry>
            </row>
            <row>
                <entry><Literal remap="tt">tek4957</Literal></entry>
                <entry>Tektronix 4957 tablet</entry>
                <entry><ulink URL="tek4957.4.html">tek4957(4)</ulink></entry>
            </row>
            <row>
                <entry><Literal remap="tt">ur98(*)</Literal></entry>
                <entry>Union Reality UR-F98 headtracker</entry>
                <entry><ulink URL="ur98.4.html">ur98(4)</ulink></entry>
            </row>
            <row>
                <entry><Literal remap="tt">void</Literal></entry>
                <entry>dummy device</entry>
                <entry><ulink URL="void.4.html">void(4)</ulink></entry>
            </row>
        </tbody>
        </tgroup>
    </informaltable>
    </para>

    <para>
    Drivers marked with (*) are available for Linux only.
    </para>

    </sect2>

</sect1>

<sect1>
<title>Overview of X11R&relvers;</title>

    <para>
    On most platforms, X11R&relvers; has a single X server binary called
    <literal remap="tt">Xorg</literal>.  This binary can either have one or
    more video and input drivers linked in statically, or more usually,
    dynamically, and in that manner load the video drivers, input drivers,
    and other modules that are needed.
    </para>
    
    <para>
    X11R&relvers; has currently has support for Linux, Solaris, and some BSD OSs
    on Alpha, PowerPC, IA-64, AMD64, Intel x86, Sparc, and MIPS platforms.
    </para>

    <sect2>
        <title>Loader and Modules</title>
        
        <para>
        The X server 
        relies on the operating system's native module loader support for
        handling program modules. The X server makes use of modules for
        video drivers, X server extensions, font rasterisers, input device
        drivers, framebuffer layers, and internal components used by some
        drivers (like XAA),
        </para>
        
        <para>
        The module interfaces (both API and ABI) used in this release are
        subject to change without notice.  While we will attempt to provide
        backward compatibility for the module interfaces, we cannot
        guarantee this. Compatibility in the other direction is explicitly
        not guaranteed because new modules may rely on interfaces added in
        new releases.
        </para>
        
        <para>
        <emphasis remap="bf">Note about module security</emphasis>
        <quote>The X server runs with root privileges, i.e., 
        the X server loadable modules also run with these privileges.
        For this reason we recommend that all users be careful to only
        use loadable modules from reliable sources,  otherwise the
        introduction of viruses and contaminated code can occur and
        wreak havoc on your system.  We hope to have a mechanism for
        signing/verifying the modules that we provide available in a
        future release.</quote>
        </para>
    </sect2>

    <sect2 id="config">
        <title>Configuration File</title>
        
        <para>
        The X server uses a configuration file as the primary mechanism
        for providing configuration and run-time parameters.  The configuration
        file format is described in detail in the <ulink URL="xorg.conf.5.html">
        xorg.conf(5)</ulink> manual page.
        </para>
        
        <para>
        The recommended method for generating a configuration file is to use
        the Xorg server itself.  Run as root:
        
        <screen>
        Xorg -configure
        </screen>
         and follow the instructions.
        </para>

        <para>
        This release comes with a graphical configuration tool called
        "<literal remap="tt">xorgcfg</literal>", which also has a text mode
        interface and can be used to create an initial configuration file.
        It can also be used to customize existing configurations. This
        tool is deprecated, although it is still available for use.
        </para>
        
        <para>
        Finally, if all else fails, the old standby text-based tool
        "<literal remap="tt">xorgconfig</literal>" can also be used for
        generating X server config files.
        </para>
        
        <para>
        At least one, and hopefully, all of these configuration options will
        give you a reasonable starting point for a suitable configuration
        file. With the automatic mechanism you might even find that you don't
        need one! Note that this release features significant improvements
        for running the server without a configuration file, so many users
        may find that that they don't need a configuration file.
        </para>
        
        <para>
        If you do need to customize the configuration file, see the <ulink
        URL="xorg.conf.5.html"
        >xorg.conf manual page</ulink> .  You can also
        check the driver-specific manual pages and the related
        documentation (found at <xref LinkEnd="drivertables"> also.
        </para>
    </sect2>

    <Sect2>
        <title>Command Line Options</title>
        
        <para>
        Command line options can be used to override some default
        parameters and parameters provided in the configuration file.
        These command line options are described in the <ulink
        URL="Xorg.1.html">Xorg(1)</ulink> manual page.
        </para>
    </sect2>

    <sect2>
        <title>XAA</title>
        
        <para>
        The XFree86 Acceleration Architecture (XAA) was completely rewritten
        from scratch for XFree86 4.x and is used in X11R&relvers;.  
        Most drivers implement acceleration by making use of the XAA module.
        </para>
    </sect2>

    <sect2>
        <title>EXA</title>
        
        <para>
        EXA was created as a new driver acceleration architecture to
        replace XAA. EXA was designed specifically to accelerate Render
        operations. This release features improved driver support for EXA.
        See the individual driver changelogs for details. Users should
        beware that EXA support is considered to be incomplete in
        X11R&relvers;.
        </para>
    </sect2>

    <sect2>
        <title>Multi-head</title>
        
        <para>
        Some multi-head configurations are supported in X11R&relvers;, primarily
        with multiple PCI/AGP cards.
        </para>
        
        <para>
        One of the main problems is with drivers not sufficiently
        initializing cards that were not initialized at boot time.  This
        has been improved somewhat with the INT10 support that is used by
        most drivers (which allows secondary card to be "soft-booted", but
        in some cases there are other issues that still need to be
        resolved.  Some combinations can be made to work better by changing
        which card is the primary card (either by using a different PCI
        slot, or by changing the system BIOS's preference for the primary
        card).
        </para>
    </sect2>

    <sect2>
        <title>Xinerama</title>
        <para>
        Xinerama is an X server extension that allows multiple physical screens
        to behave as a single screen.  With traditional multi-head in X11,
        windows cannot span or cross physical screens.  Xinerama removes this
        limitation.  Xinerama does, however, require that the physical screens
        all have the same root depth, so it isn't possible, for example, to use
        an 8-bit screen together with a 16-bit screen in Xinerama mode.
        </para>
        
        <para>
        Xinerama is not enabled by default, and can be enabled with the
        <literal remap="tt">+xinerama</literal> command line option for the
        X server.
        </para>
        
        <para>
        Known problems:
        
        <itemizedlist>
            <listitem>
                <para>
                Most window managers are not Xinerama-aware, and so some
                operations like window placement and resizing might not behave
                in an ideal way.  This is an issue that needs to be dealt with
                in the individual window managers, and isn't specifically an
                X server problem.
                </para>
            </listitem>
        </itemizedlist>

        </para>
    </sect2>

    <sect2>
        <title>DGA version 2</title>
        
        <para>
        DGA 2.0 is included in &relvers;.  Documentation for the client
        libraries can be found in the <ulink
        URL="XDGA.3.man">XDGA(3)</ulink> man page.  A good degree of
        backward compatibility with version 1.0 is provided.  DGA should be
        considered deprecated; if you are relying on it, please let us know
        what you need it for so we can find better solutions.
        </para>
    </sect2>

    <sect2>
        <title>DDC</title>
        
        <para>
        The VESA&reg; Display Data Channel (DDC&trade;) standard allows the
        monitor to tell the video card (or on some cases the computer
        directly) about itself; particularly the supported screen
        resolutions and refresh rates.
        </para>
        
        <para>
        Partial or complete DDC support is available in most of the video
        drivers.  DDC is enabled by default, but can be disabled with a
        "Device" section entry:  <literal remap="tt">Option
        "NoDDC"</literal>.  We have support for DDC versions 1 and 2; these
        can be disabled independently with <literal remap="tt">Option
        "NoDDC1"</Literal> and <literal remap="tt">Option
        "NoDDC2"</literal>.
        </para>
        
        <para>
        At startup the server prints out DDC information from the display,
        and can use this information to set the default monitor parameters,
        or to warn about monitor sync limits if those provided in the
        configuration file don't match those that are detected.
        </para>
        
        <sect3>
            <title>Changed behavior caused by DDC.</title>
            
            <para>
            Several drivers uses DDC information to set the screen size and
            pitch.  This can be overridden by explicitly resetting it to
            the and non-DDC default value 75 with the <literal
            remap="tt">-dpi 75</literal> command line option for the X
            server, or by specifying appropriate screen dimensions with the
            "DisplaySize" keyword in the "Monitor" section of the config
            file.
            </para>
        </sect3>
    </sect2>

    <sect2>
        <title>GLX and the Direct Rendering Infrastructure (DRI)</title>
        
        <para>
        Direct rendered OpenGL&reg; support is provided for several
        hardware platforms by the Direct Rendering Infrastructure (DRI).
        Further information about DRI can be found at the <ulink
        URL="http://dri.sf.net/">DRI Project's web site</ulink>.  The 3D
        core rendering component is provided by <ulink
        URL="http://www.mesa3d.org">Mesa</ulink>.
        </para>

        <para>
        Of note is that this release supports building the X server using
        the system-wide libdrm. Previously, drm was kept in the server's
        tree and loaded as a module, rather than using the standard OS
        mechanisms for managing shared libraries of code. This requires
        that the server be built using a version of libdrm of 2.3.0 or
        newer if it is to use DRM.
        </para>
    </sect2>

    <sect2>
        <title>XVideo Extension (Xv)</title>

        <para>
        The XVideo extension is supported in X11R&relvers;.
        </para>
    </sect2>

    <Sect2 id="render">
        <Title>X Rendering Extension (Render) </Title>
        
        <Para>
        The X Rendering extension provides a 2D rendering model that more
        closely matches application demands and hardware capabilities.  It
        provides a rendering model derived from Plan 9 based on Porter/Duff
        image composition rather than binary raster operations.
        </Para>
        
        <Para>
        Using simple compositing operators provided by most hardware, Render
        can draw anti-aliased text and geometric objects as well as perform 
        translucent image overlays and other image operations not possible with 
        the core X rendering system.
        </Para>
        
        <Para>
        Unlike the core protocol, Render provides no font support for
        applications, rather it allows applications to upload glyphs for
        display on the screen.  This allows the client greater control over
        text rendering and complete access to the available font
        information while still providing hardware acceleration.  The Xft
        library provides font access for Render applications.
        </Para>
        
        <Sect3>
            <Title>The Xft Library</Title>
            
            <Para>
            On the client side, the Xft library provides access to fonts
            for applications using the FreeType library, version 2.  One
            important thing to note is that Xft uses the vertical size of
            the monitor to compute accurate pixel sizes for provided point
            sizes; if your monitor doesn't provide accurate information via
            DDC, you may want to add that information to <Literal
            remap="tt">xorg.conf</Literal>.
            </Para>
            
            <Para>
            To allow a graceful transition for applications moving from
            core text rendering to the Render extension, Xft can use either
            the core rendering requests or the Render extension for text.
            See the section on FreeType support in Xft for instructions on
            configuring X11R&relvers; to use an existing FreeType
            installation.
            </Para>
            
            <Para>
            The Xft library uses configuration files, <Literal
            remap="tt">/etc/fonts/fonts.conf</Literal> and <Literal
            remap="tt">/etc/fonts/local.conf</Literal>, which contains
            information about which directories contain font files and also
            provides a sophisticated font aliasing mechanism.
            Documentation for that file is included in the 
            <ulink URL="Xft.3.man">Xft(3)</ulink> man page.
            </Para>
        </Sect3>
        
        <Sect3>
            <Title>Application Support For Anti-Aliased Text</Title>
            
            <Para>
            Only four applications have been modified in X11R&relvers; to
            work with the Render extension and the Xft and FreeType
            libraries to provide anti-aliased text: xterm, xditview,
            x11perf and xclock.  Migration of other applications may occur
            in future releases.
            </Para>
            
            <Para>
            By default, xterm uses core fonts through the standard core
            API.  It has a command line option and associated resource to
            direct it to use Xft instead:
            
            <ItemizedList>
            <ListItem>
            
            <Para>
            <Literal remap="tt">-fa</Literal> family / <Literal remap="tt">.VT100.faceName:</Literal> family.  Selects the font
            family to use.
            </Para>
            </ListItem>
            
            </ItemizedList>
            
            </Para>
            
            <Para>
            Xditview will use Xft instead of the core API by default.
            X11perf includes tests to measure the performance of text
            rendered in three ways, anti-aliased, anti-aliased with
            sub-pixel sampling and regular chunky text, but through the
            Render extension, a path which is currently somewhat slower
            than core text.
            </Para>
            
            <Para>
            Xclock uses the Render extension to draw the analog face and
            shares the -fa option and faceName resources with xterm to
            select a font for the digital mode.
            </Para>
        
        </Sect3>
    </Sect2>

<!--
    <Sect2>
        <Title>Other extensions</Title>
        <para></para>
    </Sect2>
-->

<!--
<sect1>
<title>X libraries and clients</title>
<para>
</para>
</sect1>
-->

<!--
<sect1>
<title>Fonts and Internationalisation</title>
<para>
</para>
</sect1>
-->

    <Sect2>
        <Title>Font support</Title>
        
        <Para>
        Details about the font support in X11R&relvers;.x can be
        found in the <ulink URL="fonts.html">README.fonts</ulink> 
        document.
        </Para>
    </Sect2>
    
    <Sect2>
        <Title>TrueType support</Title>
        
        <Para>
        X11R6.7 came with two TrueType backends.  The functionality from
        the `X-TrueType' backend has been integrated into the `FreeType'
        backend which is designed to transparently support all of the
        functionality from the `X-TrueType' backend with the exception of
        the font encoding libraries; the `FreeType' backend uses only the
        fontenc-based encoding system.
        </Para>
    </Sect2>
    
    <Sect2>
        <Title>Internationalisation of the scalable font backends</Title>
        
        <Para>
        X11R&relvers; has a ``fontenc'' layer to allow the
        scalable font backends to use a common method of font re-encoding.  This
        re-encoding makes it possible to uses fonts in encodings other than
        their their native encoding.  This layer is used by the Type1 and
        FreeType backends.
        </Para>
    </Sect2>
    
    <Sect2>
        <Title>Large font optimization</Title>
        
        <Para>
        The glyph metrics array, which all the X clients using a particular font
        have access to, is placed in shared memory, so as to reduce redundant
        memory consumption.  For non-local clients, the glyph metrics array is
        transmitted in a compressed format.
        </Para>
    </Sect2>
    
    <Sect2>
        <Title>Unicode/ISO 10646 support</Title>
        
        <Para>
        What is included in X11R&relvers;
        </Para>
        
        <Para>
        <ItemizedList>
            <ListItem>
                <Para>
                All ``-misc-fixed-*'' BDF fonts are now available in the
                ISO10646-1 encoding and cover at least the 614 characters
                found in ISO 8859-&lcub;1-5,7-10,14,15&rcub;, CP1252, and
                MES-1. The non-bold fonts also cover all Windows Glyph List
                4 (WGL4) characters, including those found in all 8-bit
                MS-DOS/Windows code pages. The 8-bit variants of the
                ``-misc-fixed-*'' BDF fonts (ISO8859-1, ISO8859-2, KOI8-R,
                etc.) have all been automatically generated from the new
                ISO10646-1 master fonts.
                </Para>
            </ListItem>
            <ListItem>
                <Para>
                Some ``-misc-fixed-*'' BDF ISO10646-1 fonts now cover a
                comprehensive Unicode repertoire of over 3000 characters
                including all Latin, Greek, Cyrillic, Armenian, Gregorian,
                Hebrew, IPA, and APL characters, plus numerous scientific,
                typographic, technical, and backward-compatibility
                symbols. Some of these fonts also cover Arabic, Ethiopian,
                Thai, Han/Kanji, Hangul, full ISO 8859, and more. For the 6x13
                font there is now a 12x13ja Kanji extension and for the 9x18
                font there is a 18x18ja Kanji/Han/Hangul extension, which
                covers all ISO-2022-JP-2 (RFC 1554) characters. The 9x18 font
                can also be used to implement simple combining characters by
                accent overstriking. For more information, read Markus Kuhn's
                <ulink URL="http://www.cl.cam.ac.uk/~mgk25/unicode.html">UTF-8 
                and Unicode FAQ</ulink>.
                </Para>
            </ListItem>
            <ListItem>
                <Para>
                Mark Leisher's ClearlyU proportional font (similar to Computer
                Modern).
                </Para>
            </ListItem>
            <ListItem>
                <Para>
                ISO 10646/Unicode UTF-8 Level 1 support added to xterm
                (enabled with the <Literal remap="tt">-u8</Literal> option).
                </Para>
            </ListItem>
            <ListItem>
                <Para>
                The Freetype backend (the <Literal remap="tt">"freetype"</Literal> module) supports
                Unicode-encoded fonts.
                </Para>
            </ListItem>
        </ItemizedList>
        </Para>
    </Sect2>
    
    <Sect2 id="compose">
        <Title>Xlib Compose file support and extensions </Title>
        
        <Para>
        A more flexible Compose file processing system was added to Xlib in
        X11R&relvers;.  The compose file is searched for in 
        the following order:
        </Para>
        
        <Para>
        <OrderedList>
            <ListItem>
                <Para>
                If the environment variable <Emphasis
                remap="bf">$XCOMPOSEFILE</Emphasis> is set, its value is
                used as the name of the Compose file.
                </Para>
            </ListItem>
            <ListItem>
                <Para>
                If the user's home directory has a file named "<Literal
                remap="tt">.XCompose</Literal>", it is used as the Compose
                file.
                </Para>
            </ListItem>
            <ListItem>
                <Para>
                The old method is used, and the compose file is
                "&lt;<Emphasis remap="it">xlocaledir</Emphasis>&gt;<Literal
                remap="tt">/</Literal>&lt;<Emphasis
                remap="it">localename</Emphasis>&gt;<Literal
                remap="tt">/Compose</Literal>".
                </Para>
            </ListItem>
        </OrderedList>
        </Para>
        
        <Para>
        Compose files can now use an "include" instruction.  This allows
        local modifications to be made to existing compose files without
        including all of the content directly.  For example, the system's
        iso8859-1 compose file can be included with a line like this:
        
        <Screen>
        include "/usr/X11R6/lib/X11/locale/iso8859-1/Compose"
        </Screen>
        There are two substitutions that can be made in the file name of the
        include instruction.  <Emphasis remap="bf">&percnt;H</Emphasis> expands to the user's home directory
        (the <Emphasis remap="bf">$HOME</Emphasis> environment variable), and <Emphasis remap="bf">&percnt;L</Emphasis> expands to the
        name of the locale specific Compose file (i.e., 
        "&lt;<Emphasis remap="it">xlocaledir</Emphasis>&gt;<Literal remap="tt">/</Literal>&lt;<Emphasis remap="it">localename</Emphasis>&gt;<Literal remap="tt">/Compose</Literal>").
        </Para>
        
        <Para>
        For example, you can include in your compose file the default Compose file
        by using:
        
        <Screen>
        include "%L"
        </Screen>
        and then rewrite only the few rules that you need to change.  New
        compose rules can be added, and previous ones replaced.
        </Para>
        
        <Para>
        Finally, it is no longer necessary to specify in the right part of
        a rule a locale encoded string in addition to the keysym name.  If
        the string is omitted, Xlib figures it out from the keysym
        according to the current locale.  I.e., if a rule looks like:
        
        <Screen>
        &#60;dead_grave&#62; &#60;A&#62; : "\300" Agrave
        </Screen>
        the result of the composition is always the letter with the "\300"
        code.  But if the rule is:
        
        <Screen>
        &#60;dead_grave&#62; &#60;A&#62; : Agrave
        </Screen>
        the result depends on how Agrave is mapped in the current locale.
        </Para>
    </Sect2>
    
    <Sect2 id="vera">
        <Title>Bitstream Vera fonts </Title>
        
        <Para>
        X11R7.1 includes the Bitstream Vera family of typefaces in TrueType
        format.  This family includes the ``Bitstream Vera Sans'',
        ``Bitstream Vera Sans Mono'' and ``Bitstream Vera Serif'' in Roman
        and Bold variants as well as the ``Bitstream Vera Sans'' and
        ``Bitstream Vera Sans Mono'' in Oblique and Bold Oblique.  These
        fonts include all of the glyphs needed for ISO&nbsp; 8859 parts 1 9
        and 15.
        </Para>
        
        <Para>
        The license terms for the Vera fonts are included in the file
        <Literal remap="tt">COPYRIGHT.Vera</Literal>.
        </Para>
    </Sect2>
    
    <Sect2 id="luxi">
        <Title>Luxi fonts from Bigelow and Holmes </Title>
        
        <Para>
        The X distribution includes the ``Luxi'' family of Type&nbsp;1
        fonts and TrueType fonts.  This family consists of the fonts
        ``Luxi&nbsp;Serif'', ``Luxi&nbsp;Sans'' and ``Luxi&nbsp;Mono'' in
        Roman, oblique, bold and bold oblique variants.  The TrueType
        version have glyphs covering the basic ASCII Unicode range, the
        Latin&nbsp;1 range, as well as the <Emphasis remap="it">Extended
        Latin</Emphasis> range and some additional punctuation characters.
        In particular, these fonts include all the glyphs needed for
        ISO&nbsp;8859 parts 1, 2, 3, 4, 9, 13 and 15, as well as all the
        glyphs in the Adobe Standard encoding and the Windows 3.1
        character set.
        </Para>
        
        <Para>
        The glyph coverage of the Type&nbsp;1 versions is somewhat reduced,
        and only covers ISO&nbsp;8859 parts 1, 2 and 15 as well as the Adobe
        Standard encoding.
        </Para>
        
        <Para>
        The Luxi fonts are original designs by Kris Holmes and Charles Bigelow
        from Bigelow and Holmes Inc., who developed the Luxi typeface designs
        in Ikarus digital format.  URW++ Design and Development GmbH converted
        the Ikarus format fonts to TrueType and Type&nbsp;1 font programs and
        implemented the grid-fitting "hints" and kerning tables in the Luxi
        fonts.
        </Para>
        
        <Para>
        The license terms for the Luxi fonts are included in the file
        `<Literal remap="tt">COPYRIGHT.BH</Literal>', as well as in the 
        <ulink URL="LICENSE.html">License document</ulink>.  For further 
        information, please contact <EMAIL>design@bigelowandholmes.com</EMAIL> 
        or <EMAIL>info@urwpp.de</EMAIL>, or consult the 
        <ulink URL="http://www.urwpp.de">URW++ web site</ulink>.
        </Para>
    </Sect2>

</Sect1>

<Sect1>
    <Title>Miscellaneous</Title>
    
    <Para>
    This section describes other items of note for the
    X11R&relvers; release.
    </Para>
    
    <Sect2>
        <Title>Socket directory ownership and permissions</Title>
        
        <Para>
        The socket directories created in <Literal remap="tt">/tmp</Literal> are now required to be
        owned by root and have their sticky-bit set.  If the permissions are not
        set correctly, the component using this directory will print an error
        message and fail to start.  Common socket directories that are known to
        be affected include:
        
        <Screen>
        /tmp/.font-unix
        /tmp/.ICE-unix
        /tmp/.X11-unix
        </Screen>
        
        These directories are used by the font server, <Literal
        remap="tt">xfs</Literal>, applications using the Inter-Client
        Exchange protocol (ICE) and the X server, respectively.
        </Para>
        
        <Para>
        There are several solutions to the problem of when to create these
        directories.  They could be created at install time by the system's
        installer if the <Literal remap="tt">/tmp</Literal> dir is
        persistent.  They could be created at boot time by the system's
        boot scripts (e.g., the <Literal remap="tt">init.d</Literal>
        scripts).  Or, they could be created by PAM modules at service
        startup or user login time.
        </Para>
        
        <Para>
        The solution chosen is platform dependent, and the system administrator
        should be able to handle creating those directories on any systems that
        do not have the correct ownership or permissions.
        </Para>
    </Sect2>
    
    <Sect2>
        <Title>Composite exposes extra visuals</Title>
        
        <Para>
        When the Composite extension is enabled via <Literal
        remap="tt">xorg.conf</Literal> or the command line, a new visual is
        created.  This visual is different from the other visuals used by X
        applications in that it includes an alpha component.  It is used by
        the compositing manager and other Composite aware applications.
        </Para>
        
        <Para>
        Most X applications ignore this visual since it is not useful to
        them; however some applications mistakenly try to use it, which
        will cause them to fail.  An environment variable, <Literal
        remap="tt">XLIB&lowbar;SKIP&lowbar;ARGB&lowbar;VISUALS</Literal>,
        was added to the X11 library to hide this visual from applications
        that mistakenly try to use it.  If an application fails only when
        the Composite is enabled, try setting this environment variable
        before starting the application.
        </Para>
        
        <Para>
        Since Composite is not enabled by default, it is not expected that this
        issue will be visible to most users.
        </Para>
    </Sect2>
</Sect1>

<Sect1>
    <Title>Deprecated components and removal plans</Title>
    
    <Para>
    This section lists current plans for removal of obsolete or deprecated
    components in the X.Org releases.  As our releases are open source,
    users who continue to require these can find the source in previous
    releases and continue to use these, but the X.Org Foundation and its
    volunteers have decided the burden of continued maintenance and
    distribution in the core X11 releases outweighs the benefits of doing
    so.  In some cases, this is simply because no one has volunteered to do
    continued maintenance, so if software is listed here that you need, you
    can contact <EMAIL>xorg@lists.freedesktop.org</EMAIL> to volunteer to
    take over maintainership, either inside or outside of the Xorg release
    process.
    </Para>
    
    <Para>
    <VariableList>
        <VarListEntry>
            <Term>Low-Bandwidth X (LBX)</Term>
            <ListItem>
            <Para>
            The LBX extension is has been removed in this release.
        </VarListEntry> 
        <VarListEntry>
            <Term>CID Fonts</Term>
            <ListItem>
            <Para>
            Support for CID fonts has been removed as of this release.
            mkcfm has also been deprecated as a result.
            </Para>
        </VarListEntry>
        <VarListEntry>
            <Term>xkbdata</Term>
            <ListItem>
            <Para>
            The old xkbdata module has been deprecated and is not
            considered to be a part of this release. Please migrate to the
            data provided by the xkeyboard-config project, which located in
            the xkbdesc CVS module.
            </Para>
        </VarListEntry>
      </VariableList>
    </Para>
</Sect1>

<Sect1>
    <Title>Attributions/Acknowledgements/Credits</Title>
    
    <![ %snapshot [
    <emphasis remap="bf">THIS IS A DRAFT OF THE X11R&relvers; CREDITS
    SECTION.</emphasis>
    If you find missing credits, incorrect attributions, or other errors,
    please
    send details to <email>xorg@lists.freedesktop.org</email>.
    ]]>
    
    
    <Para>
    This section lists the credits for the X11R&relvers;
    release.  For a more detailed breakdown, refer to the ChangeLog file in
    the X.Org source tree, the ChangeLog's in <ulink
    URL="http://cvs.freedesktop.org/xorg/"
    >the xorg product in freedesktop.org's CVS</ulink
    > or the
    'cvs log' information for individual source files.
    </Para>
    
    <Para>
    <VariableList>
    
    <VarListEntry>
    <Term>These people contributed in some way to X11R7.1</Term>
    <ListItem>
    <Para>
    Jonathan Adamczewski, 
    Dave Airlie, 
    Paul Anderson, 
    Eric Anholt, 
    Andrei Barbu, 
    Jesse Barnes, 
    Donnie Berkholz, 
    Alan Coopersmith, 
    Michel D&auml;nzer, 
    Alex Deucher, 
    Radek Doulik, 
    Egbert Eich, 
    Eduard Fuchs, 
    George Fufutos, 
    Alexander Gottwald, 
    Matthieu Herrb, 
    Ben Herrenschmidt, 
    Thomas Hellstr&ouml;m, 
    Fredrik H&ouml;glund, 
    Kristian H&oslash;gsberg, 
    Matthias Hopf, 
    Zephaniah E. Hull, 
    Alan Hourihane, 
    Valery Inozemtsev, 
    Adam Jackson, 
    Deron Johnson, 
    Nicholas Joly, 
    Jaymz Julian, 
    Lars Knoll, 
    Egmont Koblinger, 
    Felix K&uuml;hling, 
    Philip Langdale, 
    Kevin E. Martin, 
    Keith Packard, 
    Drew Parsons, 
    Hong Bo Peng, 
    Aaron Plattner, 
    Jeremy C. Reed, 
    David Reveman, 
    Ian Romanick, 
    Zack Rusin, 
    S&oslash;ren Sandmann, 
    Tilman Sauerbeck, 
    Roland Scheidegger, 
    Dag-Erling Sm&oslash;rgrav, 
    Daniel Stone, 
    Carl Switzky, 
    Luc Verhaegen, 
    Julio M. Merino Vidal, 
    Zhenyu Wang, 
    Alex Williamson, 
    Thomas Winischhofer, 
    David Woodhouse, 
    </Para>
    </VarListEntry>
    </VariableList>
    </Para>
    
    <Para>
    The X Window System has been a collaborative effort from its inception. 
    Our apologies for anyone or organization inadvertently overlooked.
    Many individuals (including major contributors) who worked on X are
    represented by their employers in this list.  If you feel we have left anyone
    out, please let us know.
    </Para>
    
    <Para>
    <VariableList>
    
    <VarListEntry>
    <Term>This product includes software developed by: </Term>
    <ListItem>
    <Para>
    Paul Anderson,
    Michael Bax,
    Jehan Bing,
    Peter Breitenlohner,
    Alan Coopersmith,
    Egbert Eich,
    John Dennis,
    Fabrizio Gennari,
    Jim Gettys,
    Alexander Gottwald,
    Ralf Habacker
    Mike Harris,
    Matthieu Herrb,
    Alan Hourihane,
    Harold L Hunt II,
    Elliot Lee,
    Jeremy Katz,
    Kaleb Keithley,
    Stuart Kreitman,
    Andreas Luik,
    Torrey Lyons,
    Roland Mainz,
    Kevin E. Martin, 
    Takuma Murakami,
    Kensuke Matsuzaki,
    Keith Packard,
    Ivan Pascal,
    Earle F. Philhower III,
    Benjamin Rienfenstahl,
    Leon Shiman,
    Toshimitsu Tanaka,
    Nicholas Wourms.
    </Para>
    
    <Para>
    2d3d Inc., 
    3Dlabs Inc. Ltd.,
    Aaron Plattner, 
    Adam de Boor, 
    Adam Jackson, 
    Adobe Systems Inc., 
    After X-TT Project, 
    AGE Logic Inc., 
    Alan Coopersmith, 
    Alan Cox, 
    Alan Hourihane, 
    Alexander Gottwald, 
    Alex Deucher, 
    Anders Carlsson, 
    Andreas Luik, 
    Andreas Monitzer, 
    Andreas Robinson,
    Andrew C Aitchison, 
    Andy Ritger, 
    Angus Lees,
    Ani Joshi, 
    Anton Zioviev, 
    Apollo Computer Inc., 
    Apple Computer Inc., 
    Ares Software Corp., 
    AT&amp;T Inc., 
    ATI Technologies Inc., 
    BEAM Ltd.,
    Ben Skeggs,
    Benjamin Herrenschmidt,
    Benjamin Rienfenstahl, 
    Bigelow and Holmes, 
    Bill Reynolds, 
    Bitstream Inc., 
    Bogdan Diaconescu,
    Branden Robinson,
    Brian Fundakowski Feldman, 
    Brian Goines, 
    Brian Paul, 
    Bruno Haible, 
    Bryan Stine, 
    Catharon Productions Inc.,
    Charles Murcko, 
    Chen Xiangyang, 
    Chisato Yamauchi, 
    Chris Constello, 
    Christian Zietz, 
    Cognition Corp., 
    Compaq Computer Corporation, 
    Concurrent Computer Corporation, 
    Conectiva S.A., 
    Corin Anderson, 
    Craig Struble, 
    Daewoo Electronics Co. Ltd., 
    Dale Schumacher, 
    Damien Miller, 
    Daniel Berrange, 
    Daniel Borca,
    Daniel Stone, 
    Daniver Limited, 
    Daryll Strauss, 
    Data General Corporation, 
    Dave Airlie,
    David Bateman, 
    David Dawes, 
    David E. Wexelblat, 
    David Holland, 
    David J. McKay, 
    David McCullough, 
    David Mosberger-Tang, 
    David S. Miller, 
    Davor Matic, 
    Deron Johnson, 
    Digeo Inc.,
    Digital Equipment Corporation, 
    Dirk Hohndel, 
    Doug Anson, 
    Dmitry Golubev,
    Earle F. Philhower III, 
    Edouard TISSERANT, 
    Eduardo Horvath, 
    Egbert Eich, 
    Elliot Lee, 
    Eric Anholt, 
    Eric Fortune, 
    Eric Sunshine, 
    Erik Fortune, 
    Erik Nygren, 
    Evans &#38; Sutherland Computer Corporation, 
    Fabio Massimo Di Nitto,
    Fabrizio Gennari, 
    Felix Kuehling,
    Finn Thoegersen,
    Francesco Zappa Nardelli, 
    Frank C. Earl,
    Frederic Lepied, 
    Free Software Foundation Inc., 
    Fujitsu Limited, 
    Fujitsu Open Systems Solutions Inc., 
    Fuji Xerox Co. Ltd., 
    Geert Uytterhoeven, 
    Gerrit Jan Akkerman, 
    Gerry Toll, 
    Glenn G. Lai, 
    GNOME Foundation, 
    Go Watanabe, 
    Greg Kroah-Hartman,
    Greg Parker, 
    Gregory Mokhin, 
    GROUPE BULL, 
    Guy Martin, 
    Hans Oey, 
    Harald Koenig, 
    Harm Hanemaayer, 
    Harold L Hunt II, 
    Harry Langenbacher, 
    Henry A. Worth, 
    Hewlett-Packard Company, 
    Hitachi Ltd, 
    Holger Veit, 
    Howard Greenwell, 
    Hummingbird Communications Ltd., 
    IBM Corporation, 
    Intel Corporation, 
    INTERACTIVE Systems Corporation, 
    International Business Machines Corp., 
    Itai Nahshon, 
    Ivan Kokshaysky, 
    Ivan Pascal, 
    Jakub Jelinek, 
    James Tsillas, 
    Jason Bacon, 
    Jean-loup Gailly, 
    Jeff Hartmann,
    Jeff Kirk, 
    Jeffrey Hsu, 
    Jehan Bing, 
    Jeremy Katz, 
    Jerome Glisse,
    Jim Gettys, 
    Jim Tsillas, 
    John Dennis, 
    John Harper, 
    John Heasley, 
    Jon Block, 
    Jon Smirl,
    Jon Tombs, 
    Jorge Delgado, 
    José Fonseca,
    Joseph Friedman, 
    Joseph V. Moss, 
    Juliusz Chroboczek, 
    Jyunji Takagi, 
    Kaleb Keithley, 
    Kazushi (Jam) Marukawa, 
    Kazuyuki (ikko-) Okamoto, 
    Kean Johnston, 
    Keith Packard, 
    Keith Whitwell, 
    Kensuke Matsuzaki, 
    Kristian H&oslash;gsberg, 
    Larry Wall, 
    Lawrence Berkeley Laboratory, 
    Leif Delgass,
    Lennart Augustsson, 
    Leon Shiman, 
    Lexmark International Inc., 
    Linus Torvalds, 
    Luc Verhaegen, 
    Machine Vision Holdings Inc., 
    Manfred Brands, 
    Marc Aurele La France Mark Adler, 
    Mark J. Kilgard, 
    Mark Leisher, 
    Mark Smulders, 
    Mark Vojkovich, 
    Marvin Solomon,
    Massachusetts Institute Of Technology, 
    Matrox Graphics, 
    Matthew Grossman, 
    Matthieu Herrb, 
    Metro Link Inc., 
    Michael Bax, 
    Michael H. Schimek, 
    Michael P. Marking, 
    Michael Schimek, 
    Michael Smith, 
    Michel Daenzer, 
    Mike A. Harris, 
    Ming Yu, 
    MIPS Computer Systems Inc., 
    National Semiconductor, 
    NCR Corporation Inc., 
    Netscape Communications Corporation, 
    Network Computing Devices Inc., 
    Nicholas Miell,
    Nicholas Wourms, 
    Nicolai Haehnle,
    Noah Levitt, 
    Nolan Leake, 
    Novell Inc., 
    Nozomi YTOW, 
    NTT Software Corporation, 
    Number Nine Computer Corp., 
    Number Nine Visual Technologies, 
    NVIDIA Corp., 
    Oivier Danet, 
    Oki Technosystems Laboratory Inc., 
    OMRON Corporation, 
    Open Software Foundation, 
    Orest Zborowski, 
    Owen Taylor, 
    Pablo Saratxaga, 
    Panacea Inc., 
    Panagiotis Tsirigotis, 
    Paolo Severini, 
    Pascal Haible, 
    Patrick Lecoanet, 
    Patrick Lerda, 
    Paul Anderson, 
    Paul Elliott, 
    Paul Mackerras,
    Peter Breitenlohner, 
    Peter Kunzmann, 
    Peter Trattler, 
    Philip Homburg, 
    Precision Insight Inc., 
    Prentice Hall, 
    Quarterdeck Office Systems, 
    Ralf Habacker Randy Hendry, 
    Ranier Keller, 
    Red Hat Inc., 
    Regents of the University of California, 
    Regis Cridlig, 
    Rene Cougnenc, 
    Richard A. Hecker, 
    Richard Burdick, 
    Rich Murphey, 
    Rickard E. Faith, 
    Rik Faith, 
    Robert Chesler, 
    Robert Millan,
    Robert V. Baron, 
    Robin Cutshaw, 
    Roland Mainz, 
    Ronny Vindenes, 
    Russ Blaine, 
    Ryan Breen, 
    Ryan Lortie, 
    Ryan Underwood, 
    S3 Graphics Inc., 
    Sam Leffler, 
    SciTech Software, 
    Scott Laird, 
    Sebastien Marineau, 
    Shigehiro Nomura, 
    ShoGraphics Inc., 
    Shunsuke Akiyama, 
    Silicon Graphics Computer Systems Inc., 
    Silicon Integrated Systems Corp Inc., 
    Silicon Motion Inc., 
    Simon P. Cooper, 
    Snitily Graphics Consulting Services, 
    Sony Corporation, 
    S&oslash;ren Sandmann, 
    SRI, 
    Stanislav Brabec, 
    Stefan Dirsch, 
    Stephan Lang, 
    Stephane Marchesin,
    Steven Lang, 
    Stuart Kreitman, 
    Sun Microsystems Inc., 
    SunSoft Inc., 
    SuSE Inc, 
    Sven Luther, 
    T. A. Phelps,
    Takis Psarogiannakopoulos, 
    Takuma Murakami, 
    Takuya SHIOZAKI, 
    Tektronix Inc., 
    The DOS-EMU-Development-Team, 
    The Institute of Software Academia Sinica, 
    The NetBSD Foundation, 
    Theo de Raadt, 
    Theodore Ts'o, 
    The Open Group, 
    The Open Software Foundation, 
    The Regents of the University of California, 
    The Santa Cruz Operation Inc., 
    The Weather Channel Inc., 
    The X Consortium, 
    The XFree86 Project Inc., 
    Thomas E. Dickey, 
    Thomas G. Lane, 
    Thomas Hellstr&ouml;m, 
    Thomas Mueller, 
    Thomas Roell, 
    Thomas Thanner, 
    Thomas Winischhofer, 
    Thomas Wolfram, 
    Thorsten.Ohl, 
    Tiago Gons, 
    Todd C. Miller, 
    Tomohiro KUBOTA, 
    Torrey Lyons, 
    Torrey T. Lyons, 
    TOSHIBA Corp., 
    Toshimitsu Tanaka, 
    Travis Tilley, 
    Trolltech AS,
    Tungsten Graphics Inc., 
    Tuomas J. Lukka,
    Ty Sarna, 
    UCHIYAMA Yasushi, 
    Unicode Inc., 
    UniSoft Group Limited, 
    University of Utah, 
    University of Wisconsin, 
    UNIX System Laboratories Inc., 
    URW++ GmbH, 
    VA Linux Systems, 
    VIA Technologies Inc., 
    Video Electronics Standard, 
    VMware Inc., 
    Vrije Universiteit, 
    Wittawat Yamwong, 
    Wyse Technology Inc., 
    X Consortium, 
    Xi Graphics Inc., 
    X-Oz Technologies, 
    X-TrueType Server Project and their contributors,
    Yu Shao.
    </Para>
    
    <Para>
    This product includes software developed by The XFree86 Project, Inc
    (http://www.xfree86.org/) and its contributors.
    </Para>
    
    <Para>
    This produce includes software that is based in part of the work of the
    FreeType Team (http://www.freetype.org).
    </Para>
    
    <Para>
    This product includes software developed by the University of California,
    Berkeley and its contributors.
    </Para>
    
    <Para>
    This product includes software developed by Christopher G. Demetriou.
    </Para>
    
    <Para>
    This product includes software developed by the NetBSD Foundation, Inc. and its
    contributors.
    </Para>
    
    <Para>
    This product includes software developed by the X-Oz Technologies and its
    contributors.
    </Para>
    </VarListEntry>
    </VariableList>
    </Para>

</Sect1>

</Article>
